import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/cart/workingHours.dart';
import 'package:lori_sdk/data/models/userAddress.dart';
import 'package:lori_sdk/data/models/cart/sellerModality.dart';

part 'seller.g.dart';

@JsonSerializable()
class Seller {
  Seller();

  String id;
  String cnpj;
  String email;
  String fullName;
  String companyName;
  String currentCluster;
  double distance;
  UserAddress address;
  bool isEcommerce;
  bool hasFullCartStockAvailable;

  String phoneNumber;
  String whatsappPhoneNumber;

  List<WorkingHours> workingHours;

  factory Seller.fromJson(Map<String, dynamic> json) => _$SellerFromJson(json);

  Map<String, dynamic> toJson() => _$SellerToJson(this);
}
