import 'package:json_annotation/json_annotation.dart';

part 'filters_response.g.dart';

@JsonSerializable()
class FiltersResponse {
  List<SkuAttributes> skuAttributes;
  List<String> brands;
  List<Categories> categories;
  List<Tags> tags;
  double minPrice;
  double maxPrice;

  FiltersResponse({this.skuAttributes, this.brands, this.categories, this.minPrice, this.maxPrice});

  factory FiltersResponse.fromJson(Map<String, dynamic> json) => _$FiltersResponseFromJson(json);

  Map<String, dynamic> toJson() => _$FiltersResponseToJson(this);
}

@JsonSerializable()
class SkuAttributes {
  int type;
  String title;
  List<Values> values;

  SkuAttributes({this.type, this.title, this.values});

  factory SkuAttributes.fromJson(Map<String, dynamic> json) => _$SkuAttributesFromJson(json);

  Map<String, dynamic> toJson() => _$SkuAttributesToJson(this);
}

@JsonSerializable()
class Values {
  String label;
  String value;

  Values({this.label, this.value});

  factory Values.fromJson(Map<String, dynamic> json) => _$ValuesFromJson(json);

  Map<String, dynamic> toJson() => _$ValuesToJson(this);
}

@JsonSerializable()
class Categories {
  String id;
  String name;

  Categories({this.id, this.name});

  factory Categories.fromJson(Map<String, dynamic> json) => _$CategoriesFromJson(json);

  Map<String, dynamic> toJson() => _$CategoriesToJson(this);
}

@JsonSerializable()
class Tags {
  String id;
  String name;

  Tags({this.id, this.name});

  factory Tags.fromJson(Map<String, dynamic> json) => _$TagsFromJson(json);

  Map<String, dynamic> toJson() => _$TagsToJson(this);
}
