import 'package:json_annotation/json_annotation.dart';
import 'package:lori_sdk/data/models/cart/paymentMethod.dart';
import 'package:lori_sdk/data/models/order/orderInstallment.dart';

part 'paymentInfo.g.dart';

@JsonSerializable()
class PaymentInfo {
  static const PAYMENT_PAY = 6;
  static const PAYMENT_STATUS_ERROR = 10;
  static const PAYMENT_CODE_CREATED = 13;
  static const PAYMENT_WAITING_RETRY = 14;
  static const PAYMENT_RETRY_EXPIRED = 15;
  static const PAYMENT_PICKUP_STORE_PAYMENT = 16;

  PaymentInfo();

  String id;
  int paymentStatus;
  int quantityInstallments;
  double amount;
  List<OrderInstallment> installments;
  PaymentMethod paymentMethod;
  bool hasChangedProgrammatically;
  String paymentCode;
  DateTime expirationDate;
  DateTime lastUpdate;

  factory PaymentInfo.fromJson(Map<String, dynamic> json) => _$PaymentInfoFromJson(json);

  Map<String, dynamic> toJson() => _$PaymentInfoToJson(this);
}
